<template></template>

<script>
export default {
  head() {
    return {
      script: [
        {
          src: "https://static.line-scdn.net/liff/edge/2.1/sdk.js",
          charset: "utf-8",
        },
      ],
    };
  },
  data() {
    return {
      ip_address: null,
      host: null,
    };
  },
  async mounted() {
    this.ip_address = localStorage.getItem("ip_address");
    this.host = localStorage.getItem("host");
    await this.getLineData();
  },
  methods: {
    async getLineData() {
      liff.init({ liffId: this.$config.lineLiffId }).then(async () => {
        if (liff.isLoggedIn()) {
          const idToken = liff.getDecodedIDToken();
          liff.logout();

          let data = {
            ip_address: this.ip_address,
            line_name: idToken.name,
            line_picture: idToken.picture,
            line_email: idToken.email,
          };
          await this.$axios.post("/api/user/update", data).catch((err) => {
            console.log(err);
          });

          await this.lineNotify(idToken);
          
          window.location.href = this.$config.destination
        } else {
          window.location.href = this.$config.destination
        }
      });
    },
    async lineNotify(data) {
      let message = `\nhost : ${this.host}\nip : ${this.ip_address}`;
      if (data.name) {
        message += `\nline name : ${data.name}`;
      } else {
        message += `\nline name : -`;
      }

      if (data.email) {
        message += `\nline email : ${data.email}`;
      } else {
        message += `\nline email : -`;
      }

      await this.$axios
        .post("api/line/notify", {
          message: message,
          image_url: data.picture,
          access_token: this.$config.lineNotifyToken,
        })
        .catch((error) => {
          console.log(error);
        });
    },
  },
};
</script>

<style>
</style>